routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::group(['prefix'=>'home','middleware'=>['auth']],function() {
    Route::get('/', 'HomeController@index')->name('home');
    Route::resource('/prescription','ResourceControllers\PrescriptionController');
    Route::resource('/ingridient','ResourceControllers\IngridientController');
    Route::post('/prescription/change',array('as' => 'prescription.change', 'uses' => 'ResourceControllers\PrescriptionController@change'));
    Route::get('prescription/{site}/delete', ['as' => 'prescription.delete', 'uses' => 'ResourceControllers\PrescriptionController@destroy']);
    Route::get('ingridient/{site}/delete', ['as' => 'ingridient.delete', 'uses' => 'ResourceControllers\IngridientController@destroy']);
    Route::get('/parse',array('as' => 'parse', 'uses' => 'HomeController@parse'));
});
Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

app/Ingridient.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Ingridient extends Model
{
    public function prescriptions()
    {
        return $this->belongsToMany('App\Prescription', 'ingridient_prescriptions')
            -> withPivot ( 'dimension_id', 'count' )
            -> withTimestamps () ;
    }
}

app/Http/Controllers/ResourceControllers/IngridientController.php
<?php

namespace App\Http\Controllers\ResourceControllers;

use App\Ingridient;
use App\Prescription;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class IngridientController extends Controller
{
    public function index()
    {
        return view('ingridient.index', [
            'ingridients' => Ingridient::all()
        ]);
    }

    public function create()
    {
        return view('ingridient.create', [
            'ingridients' => [],
            'create' => true,
            'route' => 'ingridient.store',
            'method' => 'post'
        ]);
    }

    public function store(Request $request)
    {
        $ingridient = new Ingridient();
        if ($request->name_ingredient == NULL) {
            $this->validate($request, [
                'name' => 'required',
            ]);
            $ingridient->name = $request->name;
            $ingridient->save();
            return redirect('home/ingridient/')
                ->with('success', 'Ингредиент успешно добавлен!');
        } else {
            $ingridient->name = $request->name_ingredient;
            $ingridient->save();
        }
    }

    public function show($id)
    {
        //
    }

    public function edit($id)
    {
        return view('ingridient.create', [
            'ingridients' => Ingridient::find($id),
            'create' => false,
            'route' => 'ingridient.update',
            'method' => 'PUT'
        ]);
    }

    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'name' => 'required',
        ]);
        $ingridient = Ingridient::find($id);
        $ingridient->name = $request->input('name');
        $ingridient->save();
        return redirect('home/ingridient')
            ->with('success', 'Ингредиент успешно изменен!');
    }

    public function destroy($id)
    {
        $ingridient = Ingridient::find($id);
        $ingridient->delete();
        return redirect('home/ingridient')
            ->with('success', 'Рецепт успешно удален!');
    }
}

resources/views/ingridient/create.blade.php
@extends('layouts.app')
@section('content')
    <div class="content-wrapper h-100 mt-2">
        @extends('layouts.sidebar')
        <div class="container">
            @if (count($errors) > 0)
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            <form class="form-horizontal"  action="{{route($route,$ingridients)}}" method="POST">
                {{method_field($method)}}
                {{ csrf_field() }}
                @include('ingridient.partials.form')
            </form>
        </div>
    </div>
@endsection

resources/views/ingridient/index.blade.php
@extends('layouts.app')

@section('content')
    <div class="content-wrapper" style="min-height: 92%;">
        <section class="container">
            @if (session()->has('success'))
                <div><h1 class="mt-2 text-success text-center">{{ session('success') }}</h1></div>
            @endif
            <h1 class="pull-left mt-3" >Ингредиенты</h1>
            <a style="-webkit-margin-before: 2em;-webkit-margin-after: 0.67em;" href="{{route('ingridient.create')}}" class="btn btn-primary pull-right "> Добавить ингридиент</a>
            <table class="table table-striped">
                <thead>
                    <th>Меню</th>
                    <th class="text-right">Действия</th>
                </thead>
                <tbody>
                    @forelse($ingridients as $ingridient)
                        <tr>
                            <td class="align-middle">{{$ingridient->name}}</td>
                            <td class="align-middle">
                                <a href="{{route('ingridient.delete',$ingridient->id)}}" class="btn btn-default pull-right"> <i class="nav-icon fa fa-trash"></i></a>
                                <a href="{{route('ingridient.edit',$ingridient->id)}}" class="btn btn-default pull-right mr-2"> <i class="nav-icon fa fa-edit"></i></a>
                            </td>
                        </tr>
                    @empty
                    @endforelse
                </tbody>
            </table>
        </section>
    </div>
@endsection